MONGOC_SERVER_DESCRIPTION_T(3)

NAME
mongoc_server_description_t - mongoc_server_description_t

Server description

SYNOPSIS

        #include <mongoc/mongoc.h>
        typedef struct _mongoc_server_description_t mongoc_server_description_t

mongoc_server_description_t holds information about a mongod or mongos the driver is connected to.

LIFECYCLE

Clean up a mongoc_server_description_t with mongoc_server_description_destroy() when necessary.

Applications receive a temporary reference to a mongoc_server_description_t as a parameter to an SDAM Monitoring callback that must not be destroyed. See Introduction to Application Performance Monitoring.

SEE ALSO:
        mongoc_client_get_server_descriptions().

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc